<?php

namespace Heanup\App\Script;


use Heanup\Frame\Helper;
use Heanup\Frame\Logger;

abstract class Controller extends \Heanup\Frame\Controller
{

    /**
     * 获取命令行参数
     * @return array
     */
    protected function getArguments()
    {
        return Helper::getArguments();
    }

    /**
     * 记录下运行日志
     */
    public function after()
    {
        parent::after();
        Logger::debug('', 'runtime');
    }

    protected function addLogs($msg,$file="admin")
    {
        Logger::setLog($msg, $file);
    }

}